function MISAuth() {
	this.name = "MISAuth";
	
	this.__construct = function __construct() {

	}
	
	this.__toString = function __toString() {
		return CMgr.getAUTH().name;
	}

	this.getMain = function getMain() {
		Ajax.request('MISAuth','getMain',CMgr.getAUTH().getMainCb);
	}
	
	this.setInfoMsg = function setInfoMsg(p_msg) {
		Browser.getElementById("logonInfoMsg").innerHTML = p_msg;
	}
	
	this.login = function login() {
		Ajax.request("MISAuth","login",CMgr.evalCb);
	}
	
	this.logout = function logout() {
		Ajax.request("MISAuth","logout",CMgr.evalCb);
	}
}
var MISAuth = new MISAuth();
